Skip to content

Create Equipment Document

Upload and attach a document to an equipment record. Requires the EQUIPMENT_MANAGEMENT feature flag and ADMIN or MANAGE_EQUIPMENTS permissions.

Parameters

name * are required parametersdata typedescription
equipmentId*stringThe unique identifier of the equipment
body.name*stringDisplay name for the document
body.url*stringThe URL of the uploaded file
body.mimeTypestringThe MIME type of the document

Return Value

The updated equipment record with the new document attached.

Examples

bash
curl -X POST "https://app.wombat.software/api/{targetPath}/equipment/:equipmentId/document" \
  -H "Content-Type: application/json" \
  -H "Authentication: Bearer ..." \
  -d '{"name": "Maintenance Manual", "url": "https://storage.example.com/manual.pdf", "mimeType": "application/pdf"}'

ENDPOINTS

post/api/{targetPath}/equipment/:equipmentId/document